## Overview

This charm provides uWSGI from https://github.com/unbit/uwsgi.

## Usage

This charm is designed to be used with WSGI applications. One example of this
is the python-django charm. Deploying uwsgi should be as simple as:

    juju bootstrap

    juju deploy python-django
    juju deploy uwsgi

    juju add-relation python-django uwsgi

This should result in a fully functional uWSGI installation accessible on the
unit's pulic IP address. The port will be 8080 unless you have modified the
default configuration. 

## Configuration

There are currently only two configuration options:

 - **uwsgi_processes** - *set to 4 by default*
 - **uwsgi_threads** - *set to 2 by default*

These control the number of processes and threads created for each relation.

## Contact Information

Author(s): 

 - Nathan Osman <admin@quickmediasolutions.com>

Report bugs at: http://bugs.launchpad.net/charms/+source/uwsgi
Location: http://jujucharms.com/charms/precise/uwsgi

